using System;
using System.Collections.Generic;
using System.Text;
using Edu.Model.Entity.Duty;

namespace Edu.Model.ViewModel.Duty
{
    /// <summary>
    /// 值班事项视图实体类
    /// </summary>
    public class RB_Duty_Item_ViewModel : RB_Duty_Item
    {
        /// <summary>
        /// 学校
        /// </summary>
        public string SchoolName { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        public string CreateByName { get; set; }

        /// <summary>
        /// 班次
        /// </summary>
        public string ShiftsName { get; set; }

        /// <summary>
        /// 校区列表
        /// </summary>
        public List<int> ItemSchoolList { get; set; }

        /// <summary>
        /// 是否完成(1-已完成，0-未完成)
        /// </summary>
        public int IsChecked { get; set; }

        /// <summary>
        /// 值班项目图片列表
        /// </summary>
        public List<string> ItemImgList { get; set; }

        /// <summary>
        /// 值班事项分类字符串
        /// </summary>
        public string DutyCategoryStr
        {
            get
            {

                string str = "";
                switch (this.DutyCategory)
                {
                    case 1: str = "工作清单"; break;
                    case 2: str = "突发事项"; break;
                    case 3: str = "交接说明"; break;
                }
                return str;
            }
        }

        /// <summary>
        /// 值班类型字符串
        /// </summary>
        public string DutyTypeStr
        {
            get
            {
                string str = "";
                switch (this.DutyType)
                {
                    case 1: str = "规则事项"; break;
                    case 2: str = "值班事项"; break;

                }
                return str;
            }
        }
    }
}
